Arch Floor: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
(33 intermediate revisions by 7 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>
<!--T:15-->
{{Docnav
|[[Arch_Rebar_BOM|Rebar BOM]]
|[[Arch_BuildingPart|Building Part]]
|[[Arch_Module|Arch]]
|IconL=Arch Rebar BOM.svg
|IconR=Arch_BuildingPart.svg
|IconC=Workbench_Arch.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=Arch Floor|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Floor|Shortcut=F L|SeeAlso=[[Arch Building]], [[Arch Site]]}}
|Name=Arch Floor
|MenuLocation=Arch → Level
|Workbenches=[[Arch_Module|Arch]]
|Shortcut={{KEY|L}} {{KEY|V}}
|SeeAlso=[[Arch_Building|Arch Building]], [[Arch_BuildingPart|Arch BuildingPart]], [[Arch_Site|Arch Site]]
}}


==Description== <!--T:2-->
==Description== <!--T:2-->


<!--T:3-->
<!--T:3-->
The Arch Floor is a special type of FreeCAD group object that has a couple of additional properties particularly suited for building floors. Particularly, they have a height property, that its children objects ([[Arch Wall|walls]] and [[Arch Structure|structures]]) can use to set their own height automatically. They are mostly used to organize your model.
The [[Arch Floor|Arch Floor]] is a special type of FreeCAD group object that has a couple of additional properties particularly suited for building floors. Particularly, they have a height property, that its children objects ([[Arch Wall|walls]] and [[Arch Structure|structures]]) can use to set their own height automatically. They are mostly used to organize your model.


==How to use== <!--T:4-->
<!--T:18-->
As of {{VersionPlus|0.18}} the Arch Floor is derived entirely from the [[Arch BuildingPart|Arch BuildingPart]] object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing {{incode|Convert to BuildingPart}}.

==Usage== <!--T:4-->


<!--T:5-->
<!--T:5-->
# Optionally, select one or more objects to be included in your new floor
# Optionally, select one or more objects to be included in your new floor.
# Invoke the Arch Floor command several ways:
# Press the {{KEY|[[Image:Arch Floor.png|16px]] '''Arch Floor'''}} button or press the {{KEY|F}} then {{KEY|L}} keys
#* Pressing the {{Button|[[Image:Arch Floor.svg|16px]] [[Arch Floor|Arch Floor]]}} button on the toolbar.
#* Using the {{KEY|L}} then {{KEY|V}} keyboard keys.
#* Using the {{MenuCommand|Arch → Floor}} entry from the top menu.


==Options== <!--T:6-->
==Options== <!--T:6-->


<!--T:7-->
<!--T:7-->
* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the [[Image:Arch Add.png|16px]] [[Arch Add]] tool
* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add|Arch Add]]}} tool.
* You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the [[Image:Arch Remove.png|16px]] [[Arch Remove]] tool
* You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Arch Remove]]}} tool.


==Properties== <!--T:8-->
==Properties== <!--T:8-->


<!--T:9-->
<!--T:19-->
An Arch Floor object shares all properties from an [[Arch BuildingPart|Arch BuildingPart]], with the {{PropertyData|Ifc Type}} set to {{incode|"Building Storey"}}.
* {{PropertyData|Height}}: The height of the floor, to be used by its child objects


==Scripting== <!--T:10-->
==Scripting== <!--T:10-->
{{Emphasis|See also:}} [[Arch API|Arch API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


<!--T:11-->
<!--T:11-->
The Floor tool can by used in [[macros]] and from the python console by using the following function:
The Floor tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
</translate>
</translate>
{{Code|code=
{{Code|code=
makeFloor ([objectslist])
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
}}
}}
<translate>
<translate>

<!--T:12-->
<!--T:12-->
* Creates a {{incode|Floor}} object from {{incode|objectslist}}, which is a list of objects.
creates a floor including the objects from the given list.


<!--T:13-->
<!--T:13-->
Example:
Example:

</translate>
</translate>
{{Code|code=
{{Code|code=
import Arch
import FreeCAD, Draft, Arch

Arch.makeFloor()
p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
}}
}}
<translate>

<!--T:14-->
{{Docnav
|[[Arch_Rebar_BOM|Rebar BOM]]
|[[Arch_BuildingPart|Building Part]]
|[[Arch_Module|Arch]]
|IconL=Arch Rebar BOM.svg
|IconR=Arch_BuildingPart.svg
|IconC=Workbench_Arch.svg
}}

</translate>
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}

Revision as of 14:13, 29 November 2020

Arch Floor

Menu location
Arch → Level
Workbenches
Arch
Default shortcut
L V
Introduced in version
-
See also
Arch Building, Arch BuildingPart, Arch Site

Description

The Arch Floor is a special type of FreeCAD group object that has a couple of additional properties particularly suited for building floors. Particularly, they have a height property, that its children objects (walls and structures) can use to set their own height automatically. They are mostly used to organize your model.

As of version 0.18 and above the Arch Floor is derived entirely from the Arch BuildingPart object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing Convert to BuildingPart.

Usage

  1. Optionally, select one or more objects to be included in your new floor.
  2. Invoke the Arch Floor command several ways:
    • Pressing the Arch Floor button on the toolbar.
    • Using the L then V keyboard keys.
    • Using the Arch → Floor entry from the top menu.

Options

  • After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

Properties

An Arch Floor object shares all properties from an Arch BuildingPart, with the DataIfc Type set to "Building Storey".

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Floor tool can be used in macros and from the Python console by using the following function:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Creates a Floor object from objectslist, which is a list of objects.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()